/****************************************************************************
**
** $Id: settings.h,v 1.4 2001/06/28 23:03:34 joseh Exp $
**
** Copyright (C) 2001 The LinCVS development team.
**    Tilo Riemer <riemer@lincvs.org>
**    Falk Brettschneider <gigafalk@yahoo.com>
**    Wim Delvaux <wim.delvaux@chello.be>
**    Jose Hernandez <joseh@tesco.net>
**    Helmut Koll <HelmutKoll@web.de>
**    Sven Trogisch <trogisch@iapp.de>
**
**
**----------------------------------------------------------------------------
**
**----------------------------------------------------------------------------
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as
** published by the Free Software Foundation; either version 2 of the
** License, or (at your option) any later version.
**
*****************************************************************************/

#ifndef SETTINGS_H_20010626	// prevent multiple includes
#define SETTINGS_H_20010626


/*---------------------------------------------------------------------------*
 *  Include Files                                                            *
 *---------------------------------------------------------------------------*/

#include "config.h"
#include "ac_system_defs.h"

#include <qdialog.h>
#include <qslider.h>
#include <qlcdnumber.h>
#include <qcombobox.h>
#include <qlist.h>

#include "profile.h"
#include "cfg.h"


/*---------------------------------------------------------------------------*
 *  Definitions, Macros                                                      *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*
 *  typedefs                                                                 *
 *---------------------------------------------------------------------------*/
typedef  enum {Password, RemoteShell, Local_NFS, Unknown } accessMethod;

/*---------------------------------------------------------------------------*
 *  global Variables                                                         *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*
 *  Prototypes / classes                                                     *
 *---------------------------------------------------------------------------*/

class QWidget;
class QStringList;
class QLabel;


class cvsEnvSet : public QDialog
{
    Q_OBJECT

public :
 
    cvsEnvSet(QStringList *userList,
              QStringList *serverList,
              QStringList *repositoryList,
              QStringList *profileList,
              QWidget *parent=0, const char* name=0);


    
//    public slots :


  private slots :

    void ok(void);
    void cancel(void);

    void dispVal(void);
    void addItem(void);
    void modList(void);
    void actItems(const QString&);
    void deleteItem(void);
    
    void actNameItem(const QString &item);
    void updateComboList(void);
    int  getMethod(QString text);
    void deleteEntry(QStringList* list, const QString item);
    

    
    

      
  private :

    void insertHLine(QWidget *parent=0);


    QWidget              *dummy;
    QSlider              *updTimer;
    QLCDNumber           *timSec;
    QStringList          *methodList;
    QComboBox            *selRepository;
    QComboBox            *selUser;
    QComboBox            *selServer;
    QComboBox            *selName;
    QComboBox            *selMethod;
    QLabel               *lb;
    lincvsProfile        *pIndex;    
    QList<lincvsProfile>  tmpList;
    QList<lincvsProfile>  delList;
    QStringList          *p_userList;
    QStringList          *p_serverList;
    QStringList          *p_repositoryList;
    QStringList          *p_profileList;
    
    
    
};


#endif	    //SETTINGS_H_20010626

/*--------- END OF FILE -----------------------------------------------------*/

